<?php
//YANMAH2 - Yet ANother Mobile Accelerated HatenaHaiku
//(c) 2011 YANMAH2 project
//This program is freesoftware. you can redistribute it and/ormodify it under the terms of the [GNU Affero GPL v3](http://www.gnu.org/licenses/agpl.html).
?>
<?php
define("HELLO","world");
require_once "product_definitions.php";
require_once "configurable_variables.php";
require_once "common_functions.php";
?>
<?php
require_once "init_processor.php";
if (!isset($_SESSION['auth']) || $_SESSION['auth'] != TRUE){
// if ($_SESSION['image'] != 'on'){
  $_SESSION = array();
  if (isset($_COOKIE[session_name()])){
	setcookie(session_name(), '', time() - 42000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER["SERVER_NAME"]);
  }
  session_destroy();
// }
}
//session_regenerate_id(TRUE);
?>
<?php
$selfcall = htmlspecialchars($_SERVER["PHP_SELF"], ENT_QUOTES);
$safequery = htmlspecialchars($_SERVER["QUERY_STRING"], ENT_QUOTES);
?>
<?php
//長すぎる検索ワード
if (isset($_GET["word"])) checkWord($_GET["word"]);
if (isset($_GET['related'])) checkWord($_GET['related']);
//不正なはてなID
if (isset($_GET["user"])) checkId($_GET["user"]);
//不正な page
if (isset($_GET['page'])) checkPagenum($_GET['page']);
?>
<?php
//
// require 'login_processor.php';
?>
<?php
if (isset($_GET['word']) && $_GET['word'] != ''){
  $get_word = $_GET['word'];
  $get_word = mb_convert_encoding($get_word, 'UTF-8', $charcode);
  $json_url = $api_base_url.'keywords/list.xml?word=' . rawurlencode($get_word).'&without_related_keywords=1';
  $page_head = htmlspecialchars($get_word, ENT_QUOTES) . ' に一致するキーワード';
  $self_anchor = './keywords.php?word=' . rawurlencode(htmlspecialchars($get_word, ENT_QUOTES));
  $list_mode = 'search';
} elseif (isset($_GET['user']) && $_GET['user'] != ''){
  $get_user = $_GET['user'];
  $json_url = $api_base_url.'statuses/keywords/' . $get_user . '.xml'.'?without_related_keywords=1';
  $page_head = htmlspecialchars($get_user, ENT_QUOTES) . ' のお気に入りキーワード';
  $self_anchor = './keywords.php?user=' . $get_user;
  $list_mode = 'following';
} elseif(isset($_GET['related']) && $_GET['related'] != ''){
  $get_related = $_GET['related'];
  $get_related = mb_convert_encoding($get_related, 'UTF-8', $charcode);
  $json_url = $api_base_url.'keywords/show/'.rawurlencode($get_related).'.xml';
  $page_head = htmlspecialchars($get_related, ENT_QUOTES).' の関連キーワード';
  $self_anchor = './keywords.php?related='.$get_related;
  $list_mode = 'related';
} else {
  $json_url = $api_base_url.'keywords/list.xml'.'?without_related_keywords=1';
  $page_head = 'キーワード一覧';
  $self_anchor = './keywords.php';
  $list_mode = 'default';
}
if (isset($_GET['page']) && $_GET['page'] != ''){
	if ($list_mode == 'default' || $list_mode == 'related'){
		$self_anchor_possibly_with_pagenum = $self_anchor . '?page=' . $_GET['page'];
	} else {
		$self_anchor_possibly_with_pagenum = $self_anchor . '&amp;page=' . $_GET['page'];
	}
	$relog_back = $self_anchor_possibly_with_pagenum . '&log=try';
	$relogin = $self_anchor_possibly_with_pagenum . '&amp;with=haiku&amp;callback='.rawurlencode($relog_back);
} else {
	$self_anchor_possibly_with_pagenum = $self_anchor;
	if (isset($_SERVER['QUERY_STRING']) && $_SERVER['QUERY_STRING'] != ''){
	  $relog_back = $self_anchor_possibly_with_pagenum . '&log=try';
	  $relogin = $self_anchor_possibly_with_pagenum . '&amp;with=haiku&amp;callback='.rawurlencode($relog_back);
	} else {
	  $relog_back = $self_anchor_possibly_with_pagenum . '?log=try';
	  $relogin = $self_anchor_possibly_with_pagenum . '?with=haiku&amp;callback='.rawurlencode($relog_back);
	}
}
?>
<?php
$echo = <<<EOL
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset={$meta_charset}" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<title>{$page_head} - {$site_name}{$site_name_caption}</title>
	<link rel="stylesheet" href="{$style_sheet}" />
	<link rel="icon" href="./favicon.ico" type="image/vnd.microsoft.icon" />
	<link rel="shortcut icon" href="./favicon.ico" type="image/vnd.microsoft.icon" /></head>
<body>
EOL;
?>
<?php
//var_dump($_GET);
// echoCommonHeader($relogin);
// var_dump($json_url);
// var_dump($list_mode);
$echo = $echo . "<div id=\"header\" class=\"keywords\">\n";
$echo = $echo . "<h1 id=\"entries-head\" class=\"head1\">{$page_head}</h1>\n<hr />";
$echo = $echo . "</div>\n";
?>
<?php
$echo = $echo . '<div class="contents"><ul>';
$echo = $echo . '<li><form method="get" action="./keywords.php" accept-charset="'.$meta_charset.'">
';
$echo = $echo . '<label for="go2keyword">キーワード</label><input type="text" name="word" maxlength="170" id="go2keyword" /><label for="go2keyword">を</label>
';
if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '<input type="hidden" name="image" value="on" />';
$echo = $echo . '<input type="submit" value="検索" /></form></li>';
?>
<?php
if (isset($_GET["page"]) && $_GET["page"] != ''){
	if (isset($get_word) && $get_word != ''){
		$request_url = $json_url . "&page=" . htmlspecialchars($_GET["page"], ENT_QUOTES);
	}	elseif (isset($get_user) && $get_user != ''){
		  $request_url = $json_url . "&page=" . htmlspecialchars($_GET["page"], ENT_QUOTES);
	}	elseif (isset($get_related) && $get_related != ''){
		$request_url = $json_url . '?page='.htmlspecialchars($_GET['page'], ENT_QUOTES);
	} else {
			$request_url = $json_url . '&page=' . htmlspecialchars($_GET['page'], ENT_QUOTES);
	}
}	else {
	$request_url = $json_url;
}
// var_dump($request_url);
require_once 'keywords_processor.php';
$echo = $echo . "</ul><hr /></div>";
?>
<?php
if ($list_mode == 'related' || $list_mode == 'following'){
  $navi_paging = FALSE;
} else {
  $navi_paging = TRUE;
}
  $navi_imaging = FALSE;
require 'footer_include.php';
echo mb_convert_encoding($echo, $charcode, 'UTF-8');
?>
</body>
</html>
